#ifndef Morse_h // a fájl végén található #endif párja, elkerülhetjük az 
// esetleges hibákat, ha véletlenül kétszer töltenénk be a könyvtárat

#define Morse_h

#include "Arduino.h" // #include-dal tudunk könyvtárat betölteni, az Arduino.h 
// az alapkönyvtár

class Morse // az osztály olyan változók és függvények gyűjteménye, amik 
// összetartoznak
{
public: // globális változók, amik a független programból is elérhetők
  Morse(int pin);
  void dot(); // szubrutinjaink, amik kódjai a forrásfájlban vannak
  void dash();
private: // belső változók, csak a könyvtár használja
  int _pin;
};
#endif



